<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.njcn</groupId>
        <artifactId>cn-msgpush</artifactId>
        <version>${revision}</version>
    </parent>

    <artifactId>msgpush-module-system</artifactId>
    <packaging>pom</packaging>
    <name>${project.artifactId}</name>
    <description>
        RDMS 系统模块
        该模块用来放通用业务，支撑上层的核心业务,例如说：用户、部门、权限、数据字典等等。
        也包含一些基础服务和运维服务,例如说：定时任务、文件存储等等。
    </description>
    <modules>
        <module>msgpush-module-system-api</module>
        <module>msgpush-module-system-boot</module>
    </modules>

    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>

</project>